Subject: Re: bug#34852: 26.1; seq-intersection ignores nil as element

From: "Basil L. Contovounesios" <[email-masked]>
Date: Thu, 14 Mar 2019 17:08:55 +0000

Nicolas Petton <[email-masked]> writes:

> Michael Heerdegen <[email-masked]> writes:
>
> Hi Michael,
>
>> We also have `seq-some' which can be used as a contain predicate,
>> e.g. to fix this bug:
>
> Using seq-contains was wrong, and I think seq-some should have been used
> instead, so I like your patch better (it's IMO better to use seq-some
> used as a predicate than seq-position).
>
> Unless somebody disagrees, I'll install your patch.

If you go with the seq-some patch then please edit it to avoid using
apply-partially, which is quite inefficient.

The implementations of seq-set-equal-p, seq-uniq, and seq-difference
will also need to be updated, in addition to that of seq-intersection.

-- 
Basil